2019-11-13 14:21 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000021FSSCPgameplaypublic2005-03-14 20:18
ReporterLightspeed 
Assigned Totaylor 
PriorityimmediateSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000021: Alt-Tab causes the game to crash
DescriptionWhenever I hit Alt-Tab the game crashes. It will NOT let me go back to desktop, however it will lock up my computer successfully so I will have to do a hardware reset.

This happens in about 99% of my tries. Sometimes (mind you, maybe once every hundered tries) it will be stuck like if it crashes, but it will keep playing the music. Then I can hit alt tab again several times and press Ctrl randomly and eventually the game will go back to normal. Most of the time it crashes, though.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000149resolvedBobboau Crash when returning from desktop after Alt-Tab 
+Relationships

-Notes

~0000011

CP5670 (reporter)

Alt-tab works perfectly fine for me; I've seen this issue occur in a few other games and it seems to be dependent on hardware/driver configuration.

~0000014

Lightspeed (reporter)

It doesn't happen with FS2_retail, though.

~0000018

Goober5000 (administrator)

Gah. Are you serious? This is troubling.

Can we have your system specs? Operating system, available RAM, etc. Which version are you playing? And as CP says, are your drivers all up-to-date?

~0000032

Lightspeed (reporter)

intel p4 2.4 GHz
Asus P4C800 Deluxe
512 MB RAM
Radeon 9800

Win 98 SE

Version: 12_05_03

~0000045

RandomTiger (developer)

Havent seen this in a while

~0000128

RandomTiger (developer)

Does this still happen?

~0000133

Lightspeed (reporter)

Yes it does.

Alt-Tab. Screen goes black: I'll have to press the reset button.

Version: 20_1_04 now.

~0000135

bottomfan (reporter)

When I Alt-Tab to desktop and back the game is in some strange pause and I have to hit escape to continue playing(this is almost a feature:) ). Never crash my machine tho.

~0000137

Goober5000 (administrator)

Now that you mention it, bottomfan, this is what happens to me too. Black screen, but Escape puts everything back to normal. Does Escape work for you, Lightspeed?

~0000164

Lightspeed (reporter)

no, Escape does not work. A weird mix of Ctrl, Escape and Alt-Tab works if the sounds keep playing, but most of the times they stop playing and nothing but a hard-reset will help.

~0000436

RandomTiger (developer)

Is this just in D3D or does it happen in OGL as well?

~0000445

kasperl (developer)

over here, win98se p3 800, 192mb SDRAM, alt+tab is extremely slow, but slamming some keys like escape, the windows key, and alt tab a few times get's me back to my desktop most of the time.

~0000454

bottomfan (reporter)

A wierd mix of Ctrl, Esacpe and Alt-Tab? Ctrl-Escape is the same as the Windows Start-key, and most often moves focus to desktop.

~0000520

Sticks (developer)

it fails somewere internal to DX with SetViewport within gr_d3d_reset_clip

~0000789

Righteous1 (developer)

Is this still an issue?

If so, is this ALT-TABing from in-game or from another screen? Does it matter? Which screen?

~0000791

RandomTiger (developer)

This is caused by the D3D reset not happening properly.
I would leave this to someone who knows D3D.

~0000811

JarC (reporter)

it is still an issue, for me I can alt-tab away from fs2_open but once it is minimized on the taskbar, it's dead...retail no problems at all. So hopefully someone with D3D knowledge comes along soon.

~0000822

kasperl (developer)

when i alt+tabbed out of taylors 20040405 build it had the same effect has hitting shift+esc. it was on exiting of a mission, after my ship jumped through a subspace portal, but before the debrief was there.

~0001093

DareDevil (reporter)

Note that Alt-Tab works fine with the official Fsopen 3.6 release version.
But it crashes in all later builds so I guess there was a change that causes the problem

~0001929

Goober5000 (administrator)

The alt-tab bug is fixed now, right?

~0001942

taylor (administrator)

Yeah Bobboau fixed this. I have a bunch of changes for this too but haven't merged them in yet. End up that the only I was missing was resetting the state blocks properly, otherwise I'd have fixed this in December. I'll merge what I did, just because it's a bit cleaner and easier to deal with in the future, to Bobboau's stuff and that should be it.

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2004-01-02 20:09 Lightspeed New Issue
2004-01-07 23:47 CP5670 Note Added: 0000011
2004-01-09 13:31 Lightspeed Note Added: 0000014
2004-01-14 00:31 Goober5000 Note Added: 0000018
2004-01-14 13:46 Lightspeed Note Added: 0000032
2004-01-17 04:06 RandomTiger Status new => assigned
2004-01-17 04:06 RandomTiger Assigned To => RandomTiger
2004-01-17 04:10 RandomTiger Note Added: 0000045
2004-01-29 15:47 RandomTiger Note Added: 0000128
2004-01-29 17:31 Lightspeed Note Added: 0000133
2004-01-29 17:47 bottomfan Note Added: 0000135
2004-01-29 18:05 Goober5000 Note Added: 0000137
2004-02-06 10:59 Lightspeed Note Added: 0000164
2004-03-14 19:26 RandomTiger Note Added: 0000436
2004-03-15 04:02 kasperl Note Added: 0000445
2004-03-15 09:15 bottomfan Note Added: 0000454
2004-03-21 16:37 Sticks Note Added: 0000520
2004-03-24 00:35 Bobboau Relationship added has duplicate 0000149
2004-04-15 20:01 Righteous1 Note Added: 0000789
2004-04-16 02:40 RandomTiger Note Added: 0000791
2004-04-19 17:54 JarC Note Added: 0000811
2004-04-22 09:58 kasperl Note Added: 0000822
2004-04-30 00:00 Goober5000 Priority normal => immediate
2004-07-21 14:51 DareDevil Note Added: 0001093
2005-03-14 19:52 Goober5000 Note Added: 0001929
2005-03-14 19:52 Goober5000 Assigned To RandomTiger => taylor
2005-03-14 20:18 taylor Status assigned => resolved
2005-03-14 20:18 taylor Resolution open => fixed
2005-03-14 20:18 taylor Note Added: 0001942
+Issue History